org.eclipse.microprofile.metrics.tck.metrics

## Class SimplyTimedMethodBean2

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.SimplyTimedMethodBean2

    public class SimplyTimedMethodBean2
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SimplyTimedMethodBean2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `selfInvocationSimplyTimedMethod()`
`void` `simplyTimedMethod()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimplyTimedMethodBean2

    public SimplyTimedMethodBean2()

### Method Detail

#### simplyTimedMethod

    @SimplyTimed(name="simplyTimedMethod")
    public void simplyTimedMethod()
                                                                  throws InterruptedException

Throws:
  `InterruptedException`

#### selfInvocationSimplyTimedMethod

    public void selfInvocationSimplyTimedMethod()
                                         throws InterruptedException

Throws:
  `InterruptedException`